de.voidplus.myo

## Class Collector

- java.lang.Object
- - de.voidplus.myo.Collector

-     public class Collector
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Collector(Myo myo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAccelerometerData(Myo myo, long timestamp, Vector3 accelerometer)`
    `void` | `onArmSync(Myo myo, long timestamp, Arm arm, XDirection xDirection)`
    `void` | `onArmUnsync(Myo myo, long timestamp)`
    `void` | `onConnect(Myo myo, long timestamp, FirmwareVersion firmwareVersion)`
    `void` | `onDisconnect(Myo myo, long timestamp)`
    `void` | `onEmgData(Myo myo, long timestamp, byte[] data)`
    `void` | `onGyroscopeData(Myo myo, long timestamp, Vector3 gyroscope)`
    `void` | `onLock(Myo myo, long timestamp)`
    `void` | `onOrientationData(Myo myo, long timestamp, Quaternion rotation)`
    `void` | `onPair(Myo myo, long timestamp, FirmwareVersion firmwareVersion)`
    `void` | `onPose(Myo myo, long timestamp, com.thalmic.myo.Pose pose)`
    `void` | `onRssi(Myo myo, long timestamp, int rssi)`
    `void` | `onUnlock(Myo arg0, long timestamp)`
    `void` | `onUnpair(Myo myo, long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Collector

          public Collector(Myo myo)

  - ### Method Detail

    - #### onPair

          public void onPair(Myo myo,
                    long timestamp,
                    FirmwareVersion firmwareVersion)

    - #### onUnpair

          public void onUnpair(Myo myo,
                      long timestamp)

    - #### onConnect

          public void onConnect(Myo myo,
                       long timestamp,
                       FirmwareVersion firmwareVersion)

    - #### onDisconnect

          public void onDisconnect(Myo myo,
                          long timestamp)

    - #### onArmSync

          public void onArmSync(Myo myo,
                       long timestamp,
                       Arm arm,
                       XDirection xDirection)

    - #### onArmUnsync

          public void onArmUnsync(Myo myo,
                         long timestamp)

    - #### onPose

          public void onPose(Myo myo,
                    long timestamp,
                    com.thalmic.myo.Pose pose)

    - #### onOrientationData

          public void onOrientationData(Myo myo,
                               long timestamp,
                               Quaternion rotation)

    - #### onAccelerometerData

          public void onAccelerometerData(Myo myo,
                                 long timestamp,
                                 Vector3 accelerometer)

    - #### onGyroscopeData

          public void onGyroscopeData(Myo myo,
                             long timestamp,
                             Vector3 gyroscope)

    - #### onRssi

          public void onRssi(Myo myo,
                    long timestamp,
                    int rssi)

    - #### onLock

          public void onLock(Myo myo,
                    long timestamp)

    - #### onUnlock

          public void onUnlock(Myo arg0,
                      long timestamp)

    - #### onEmgData

          public void onEmgData(Myo myo,
                       long timestamp,
                       byte[] data)

Processing library MyoForProcessing by Darius Morawiec. (C) 2014